
QGIS Application - Bug report #9005

unable to open postgis data source attribute table in QGIS 

2013-11-04 05:52 PM - Brent Wood

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17660

Description

I'm using QGIS 2.0.1 on Linux Mint 13 LTS (QGIS installed from Ubuntu 12.04 repository)

I can happily connect to & plot data from a PostgreSQL 8.1.19 db with Postgis 1.3.3 running on a remote Linux server with kernel

2.6.16.60-0.42.10-smp

I add an SQL filter restricting the number of returned records to 8 (instead of 50,000 odd)

I can click on a feature with the info tool & see the attribute data for the selected feature

I try to open the attribute table & the window opens but remains grey, titled: 

Attribute table - t_station :: features total: 8  filtered: 8, selected: 0

QGIS just sits using close to 100% of one core with nothing happening.

I can open attribute tables OK for local shapefiles, & for local Postgis data (PostgreSQL 9.1.9, Postgis v2.0.3)

Associated revisions

Revision 45ebe537 - 2014-06-17 06:37 PM - Jürgen Fischer

Merge pull request #1407 from dbaston/master

postgres provider: avoid overflow from casting index oid to integer (fixes #9005)

History

#1 - 2014-06-17 09:37 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"45ebe5372e8782b7f2fe0a341f30f82c4868a21e".
